Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.config
Class KettleConfig

    java.lang.Object
      org.pentaho.di.core.config.KettleConfig

    public class KettleConfig

extends Object

The gateway for all configuration operations.

### Configuration Managers Property Injection:

This class reads "" elements from kettle-config.xml and attempts to inject the value of such fields into the corresponding `ConfigManager` implementation, following the rules established the

Author:
  Alex Silva
See Also:
  `Inject`

Nested Class Summary
`static class` | `KettleConfig.TempConfig`

Method Summary
`void` | `addConfig(String name, ConfigManager<?> mgr)` Adds a new manager programatically
`static KettleConfig` | `getInstance()`
`ConfigManager<?>` | `getManager(String name)`
`Collection<ConfigManager<?>>` | `getManagers()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static KettleConfig getInstance()

### getManager

    public ConfigManager<?> getManager(String name)

### getManagers

    public Collection<ConfigManager<?>> getManagers()

  Returns:
    all loaders defined in kettle-config.xml.

### addConfig

    public void addConfig(String name,
                          ConfigManager<?> mgr)
                   throws org.pentaho.di.core.exception.KettleConfigException

  Adds a new manager programatically

  Parameters:
    `name` - - the name of the new manager. Must not already exist
    `mgr` - - The mgr implementation
  Throws:
    `org.pentaho.di.core.exception.KettleConfigException` - If the manager already exists in this config instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD